<canvas id="chart2"></canvas>

<script>
$('document').ready(function() {      

    $.ajax({
      url: '/api/getAverageMonthStats',
      dataType: 'json', 
    }).done(function (results) {

        var datasets = [];

        chartColors = {
          depressed: '#213E77', //rgb(33, 62, 119) - Navy
          sad: '#45BDC5', //rgb(69, 189, 197) - Teal
          okay: '#8CC545', // rgb(140, 197, 69) - Green
          happy: '#FFCD1B', //rgb(255, 206, 27) - Orange
          joyful:'#CC0995' // rgb (204, 9, 149) -Dark Pink 
        };

        // Pour chaque mood
        for(var i = 0; i < Object.keys(results.data).length; i++) {
          var mood_name = Object.keys(results.data)[i];
          var mood_data = results.data[mood_name];

          // On créé un dataset
          datasets.push({
            'label': mood_name,
            'data': mood_data,
            backgroundColor: chartColors[mood_name]
          });
        }      
        
      var ctx = document.getElementById('chart2').getContext('2d');
      var chartLine = document.getElementById('chart2');
      var constructTitle = document.getElementById('construct-title2');
      var graphTitle = document.getElementById('graph-title2');
      var inConstructImg = document.getElementById('inconstruct2');
      
      // console.log(datasets.length);

      if(datasets.length > 0 ) { 
      inConstructImg.style.display = 'none';
      constructTitle.style.display = 'none';
      graphTitle.style.display = 'block';
      chartLine.style.display = 'block';
  
        var chart2 = new Chart(ctx, { // The type of chart we want to create
            type: 'bar',
            data: {
              labels: results.label,
              datasets: datasets,
            },

            options: {
              responsive: true,
              maintainAspectRatio: true,
              legend : {
                position: 'bottom',
                display: true,
                labels: {
                  boxWidth: 10
                }
              },
              
              categoryPercentage: 1.0,
              scales: {
                yAxes: [{
                  ticks: {
                    suggestedMin: 0,
                    suggestedMax: 25,
                    stepSize: 5
                  }
                }],

                xAxes: [{  
                barPercentage: 0.10, 
                 stacked:true,
                  ticks: {
                    beginAtZero: true,
                      callback: function(value) { 
                      monthEq = {
                        1: 'Janvier',
                        2: 'Fevrier',
                        3: 'Mars',
                        4: 'Avril',
                        5: 'Mai',
                        6: 'Juin',
                        7: 'Juillet',
                        8: 'Aout',
                        9: 'Septembre',
                        10: 'Octobre',
                        11: 'Novembre',
                        12: 'Décembre' 
                      };
                      return monthEq[value];
                    }        
                  }
                }]  
              }
            }
        });



      } else if(datasets.length <= 0) {

        inConstructImg.style.display = 'block';
        constructTitle.style.display = 'block';
        graphTitle.style.display = 'none';
        chartLine.style.display = 'none';        
      }
    });
});



</script>